Skip to main content
PUT
curl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifier returned by the corresponding authorized collection; use only a record visible to the signed-in patient.

Body

application/json
content
string
required

Text content of the resource.

mood
integer | null

Mood for this journal note. May be null when unavailable.

Required range: 1 <= x <= 5
entry_date
string<date>

Entry date as an ISO 8601 calendar date.

Response

Successful replace a note.

id
string<uuid>
required
read-only

Unique identifier of this resource. Returned by the server; not writable.

created_at
string<date-time>
required
read-only

Created at timestamp in ISO 8601 format. Returned by the server; not writable.

updated_at
string<date-time>
required
read-only

Updated at timestamp in ISO 8601 format. Returned by the server; not writable.

content
string
required

Text content of the resource.

mood
integer | null

Mood for this journal note. May be null when unavailable.

Required range: 1 <= x <= 5
entry_date
string<date>

Entry date as an ISO 8601 calendar date.